
Figure - Bug #117263
【BSP】【EVT3】【ST】【Boot】在Android 或开机动画刚出现时进行断电操作，如果超过7次连续启动失败，
设备会进fastboot模式，导致无法启动
2023-03-30 16:27 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-03-30

Priority: High Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 50%

Category: BSP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0086

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 安卓原生机制，连续开机７次开机失败进入fastboot

Description

【前提条件】

None

【测试步骤】

1. 烧写正常版本后开机

2. 在出现开机动画前或者刚出现开机动画时，进行异常断电

3. 重复5-10次

【预期结果】

3 可以正常启动

【实际结果】

3 启动失败，进入fastboot模式导致无法启动

History

#1 - 2023-03-30 16:27 - 移动测试一组_CDTS 刘强

- Category set to BSP

#2 - 2023-03-30 16:57 - 移动测试一组_CDTS 刘强

- Subject changed from 【BSP】【EVT3】【ST】【Boot】在Android 或开机动画刚出现时进行断电操作，如果超过5次连续启动失败，设备会进fastboot模式

，导致无法启动 to 【BSP】【EVT3】【ST】【Boot】在Android 或开机动画刚出现时进行断电操作，如果超过7次连续启动失败，设备会进fastboot模式，

导致无法启动

#3 - 2023-03-30 18:04 - CD BSP-杜磊

- Status changed from New to RESOLVED

- Root cause set to 安卓原生机制，连续开机７次开机失败进入fastboot

安卓原生机制，

建议user版本去掉：

https://dev.thundercomm.com/gerrit/c/general/vendor/thundercomm/products/figure/+/191064

#4 - 2023-03-31 10:45 - CD BSP-杜磊

- Assignee changed from CD BSP-杜磊 to 移动测试一组_CDTS 刘强
https://dev.thundercomm.com/gerrit/c/general/vendor/thundercomm/products/figure/+/191064


- % Done changed from 0 to 50

Hi, 刘强，

帮忙验证如下VB版本：

ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230330/202303302150-3147

#5 - 2023-04-03 10:24 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

191064 general/vendor/thundercomm/produc

ts/figure

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

dulei0503@thundersoft.com

BSP:BOOT: Skip fastboot mode when bootup failSkip fastboot mode when bootup failTC-RID: 0301-0100805IssueID: TS-R-DF-117263Change-Id:

Idda412b56622a9801f2d4f7271f626fc82049606

#6 - 2023-04-03 14:26 - CDTS_Test 吴诗雨

验证版本：FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102.202303302150

验证情况：

1、刷机后开机，刚出现动画就断电上电，重复十次，共三组。正常启动

2、刷机后开机，未出现动画就断电上电，重复十次，共三组。正常启动

3、刷机后开机，刚出现动画和未出现动画交叉断电上电，重复十次，共一组。正常启动

#7 - 2023-04-04 17:03 - CDTS_Test 吴诗雨

验证版本：FlatBuild_HH_MCE_FSE.M.R.user.01.00.0088.C102

验证情况：

1、刷机后开机，刚出现动画就断电上电，重复十次，共两组。正常启动

2、刷机后开机，未出现动画就断电上电，重复十次，共两组。正常启动

3、刷机后开机，刚出现动画和未出现动画交叉断电上电，重复十次，共一组。正常启动

#8 - 2023-04-04 17:05 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#9 - 2023-04-04 17:06 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED
